## cinnamon-screensaver 3.4.1

=== debian/changelog ===
cinnamon-screensaver (3.4.1-1ubuntu1) artful; urgency=medium

  * Sync with Debian. Remaining change:
    - Drop alternate depends on gir1.2-webkit2-3.0 (Closes: #864938)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 17 Aug 2017 11:53:40 -0400

cinnamon-screensaver (3.4.1-1) experimental; urgency=medium

  * New upstream release (3.4.1).
  * Refresh patches
  * Drop upstream patches
  * Bump group breaks (3.4)
  * Release to experimental
  * Fix Python3 related depends/build-depends to match Python policy
    (Closes: 866412)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 06 Aug 2017 18:01:21 +0200
