## cinnamon-screensaver 3.4.2

=== debian/changelog ===
cinnamon-screensaver (3.4.2-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.4.2).
  * Install cinnamon-screensaver-dialog in cinnamon-screensaver (Closes: 871576)
  * Remove old webkit2-3.0 support
    Thanks: Jeremy Bicha for the report (Closes: 864938)
  * Add missed python3-xapp dependency to cinnamon-screensaver.

  [ Maximiliano Curia ]
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Sep 2017 07:35:25 +0200
