=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cinnamon-screensaver
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
+Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -12,6 +11,7 @@
  automake,
  debhelper (>= 9),
  dh-autoreconf,
+ dh-python,
  gnome-pkg-tools (>= 0.10),
  gobject-introspection,
  intltool (>= 0.40.0),
@@ -22,7 +22,6 @@
  libpam0g-dev,
  librsvg2-bin,
  libxext-dev,
- python-rsvg,
  python3,
 Standards-Version: 3.9.8
 Homepage: http://cinnamon.linuxmint.com/
@@ -45,22 +44,25 @@
  python3-gi,
  python3-gi-cairo,
  python3-setproctitle,
+ python3-xapp (>= 1.0.1),
  python3-xlib,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
 Recommends: cinnamon-screensaver-x-plugin
 Suggests: cinnamon-screensaver-webkit-plugin
+Breaks: cinnamon (<< 3.4), cinnamon-screensaver-x-plugin (<< 3.4.2-1~)
+Replaces: cinnamon-screensaver-x-plugin (<< 3.4.2-1~)
 Description: Cinnamon screen saver and locker
  cinnamon-screensaver is a screen saver and locker that aims to have simple,
  sane and secure defaults, and be well integrated with the Cinnamon desktop.
-Breaks: cinnamon (<< 3.4)
 
 Package: cinnamon-screensaver-x-plugin
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
  cinnamon-screensaver (>= 3.1.0),
+ python3:any,
  xscreensaver-data,
  ${misc:Depends},
  ${python3:Depends},
@@ -77,6 +79,7 @@
 Depends:
  cinnamon-screensaver (>= 3.1.0),
  gir1.2-webkit2-4.0,
+ python3:any,
  ${misc:Depends},
  ${python3:Depends},
 Description: Webkit plugin for cinnamon-screensaver
