=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,9 @@
 	    --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/cinnamon-screensaver
 
 override_dh_install:
-	dh_install debian/cinnamon-screensaver-dialog usr/lib/$(DEB_HOST_MULTIARCH)/cinnamon-screensaver
+	dh_install -pcinnamon-screensaver debian/cinnamon-screensaver-dialog usr/lib/$(DEB_HOST_MULTIARCH)/cinnamon-screensaver
 	dh_install --list-missing
 	rm -rf debian/cinnamon-screensaver/usr/share/doc/cinnamon-screensaver-*
+
+override_dh_python3:
+	dh_python3 usr/share/cinnamon-screensaver
