## cinnamon-screensaver 3.4.2%2Bbetsy

=== debian/changelog ===
cinnamon-screensaver (3.4.2+betsy) sonya; urgency=medium

  [ Michael Webster ]
  * add an issue template
  * CsScreen: Fix hotplug/screen change detection and response, other issues.
  * logindClient.py: Produce a more helpful message when logind is running, but we're unable to figure out a valid session id.
  * manager/stage: Allow a second activation trigger to override a previous.
  * manager.py: Force secondary activations to be immediate. (prevents flash)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Aug 2017 13:11:48 +0200

cinnamon-screensaver (3.4.1) sonya; urgency=medium

  [ Michael Webster ]
  * stage.py: Kill any screensaver plugins when destroying all of the widgets - this will leave unfinished plugin processes.
  * framedImage: render images at their native size using the theme value as the maximum size, rather than desired size.  This ensures the image displays at its best possible size for quality, but still makes sure an oversize image doesn't break anything.
  * stage.py: Don't re-allocate the floating widgets unless necessary to prevent obscuring of the unlock widget.  This prevents the small jump of the clock when waking the computer, depending on settings.
  * framedImage: Remove some dead lines, use the correct css property, update commenting.
  * fix typo in 3.20 css file
  * clock: Update to use new wall-clock api to set the correct update interval depending on the provided date/time format.

  [ Clement Lefebvre ]
  * Don't lock the screen in live or guest sessions

  [ Michael Webster ]
  * framedImage.py: Stop using CSS for image size - since we now use the image's native size if it is reasonable to do so, there's no need for a theme to be involved.  Just hardcode a sane maximum and keep images that size or less. is not valid CSS (even though that's what we're using min-height for here)

  [ leigh123linux ]
  * remove old webkit2-3.0 support

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Jun 2017 15:39:58 +0200

cinnamon-screensaver (3.4.0) sonya; urgency=medium

  [ leigh123linux ]
  * add libexec path

  [ Clement Lefebvre ]
  * l10n: Update POT file

  [ Michael Webster ]
  * Add --interactive-debug startup switch.  This turns on GtkInspector, restricts the screensaver stage to a single monitor, and some other things to allow interaction with ui elements using the inspector tools.
  * mediaPlayerWatcher.py: catch SyntaxError exception when evaluating PlaybackStatus property.
  * framedImage.py:  Just silently fail if a downloaded image fails to be loaded into a pixbuf.
  * some theme fixes for gtk 3.20+
  * stage.py: clear clipboards only once, when waking.  raise_unlock_widget gets called repeatedly when there is input (to refresh other things) - having it repeatedly clear the clipboard was unnecessary, and prevented keyboard navigation actions that included selection of characters - such as ctrl-a, shift-home and -end.
  * uPowerClient.py: aggregate the proxy's signal emissions into a single power-state-changed event for the power client.  This prevents confusion at the stage level when updating for power events.
  * notifications: Add some debugging help.
  * notificationWidget.py: ignore network notifications - these occur often around suspend/resume time, and we don't want them artificially padding the notification count.
  * xscreensaver plugin: Use GSubprocess instead of g_spawn_async for hacks.
  * stage.py:  Add some error-handling for widget creation, with exit strategy, in case something goes wrong.  We don't want to leave the user with an inaccessible desktop.
  * xscreensaver plugin: provide a default .xscreensaver file if one doesn't already exist.

  [ Sparky Bluefang ]
  * Add /usr/lib/misc/xscreensaver/ to the xscreensaver search directories.

  [ Michael Webster ]
  * stage.py: More error-handling fixes.  Add a debug package to the debian build.
  * authClient.py: Add some debugging info.
  * Add a CsScreen object:  GdkScreen is unreliable for figuring out monitor sizes and resolutions, particularly in non-default configurations.
  * Enable notification watcher's debug code upon startup, rather than during widget construction.
  * Respect the "spanned" setting for wallpapers.  Note, this will currently also affect the plugins as well, but I didn't see this as a serious drawback.
  * cs-screen-x11.c: Account for monitor scale factor.  GTK expects the values to be scaled already.
  * cs-screen-x11.c: code cleanup (sorry git!)
  * singletons.py: Add some debugging for login manager commands.
  * Remove x11.py, move code to CsScreen class, remove python3-xlib dependency.
  * service.py: Wait to respond to the Lock command until the screensaver has called back that it is now active.
  * manager/stage: Lock immediately, without fade-in.  This and the previous commit allow the screensaver to be activated synchronously from cinnamon-session in response to suspend/hibernate actions, and ensure it's fully active already when resuming.
  * cinnamon-screensaver-main.py: don't import the ScreensaverService until we're sure we'll need it.  This prevents singletons from getting initialized too early, and we lose the correct state of status.Debug
  * cs-notification-watcher.c: transient hint should be a boolean type, not int.
  * service.py: Add the invocation to the queue prior to calling on the manager to lock.  The active signal could be sent back before it gets added otherwise, causing us to leave the calling command hanging.
  * stage/fader: Realize the stage offscreen, then reposition it before starting our fade in.  This prevents the initial flash sometimes seen when the idle fade kicks in.
  * cs-screen-x11.c: Use PointerRoot instead of None for XSetInputFocus. This does a better job of reacquiring keyboard control, and allows the screensaver to activate when a virtualbox guest window is focused.

