=== debian/rules ===
#!/usr/bin/make -f

DEB_PKG_CONFIG_LIBDIR=$(shell pkg-config gobject-introspection-1.0 --variable libdir | sed -e 's/.//')

%:
	dh $@ --parallel --with=autoreconf,gnome

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_strip:
	dh_strip --dbg-package=libcscreensaver-dbg

override_dh_install:
	sed 's@DEB_PKG_CONFIG_LIBDIR@${DEB_PKG_CONFIG_LIBDIR}@' debian/libcscreensaver0.install.in > debian/libcscreensaver0.install
	dh_install --list-missing

DEB_CONFIGURE_SCRIPT_ENV += PYTHON="/usr/bin/python3"

DEB_MAKE_EXTRA_ARGS += pythondir=/usr/share/cinnamon-screensaver

install/cinnamon-screensaver::
	dh_python3 -p$(cdbs_curpkg)
