## cinnamon-screensaver 3.4.4%2Bsonya

=== debian/changelog ===
cinnamon-screensaver (3.4.4+sonya) sonya; urgency=medium

  * Disable fade-in effects on idle

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Nov 2017 12:51:39 +0000

cinnamon-screensaver (3.4.3) sonya; urgency=medium

  [ Michael Webster ]
  * cs-notification-watcher.c: Ignore notifications that replace existing ones, by checking if the 'replaces_id' field of the notification is non-zero.
  * cs-screen-x11.c: Use Gdk to get the screen size, the previous method doesn't appear to update in time to have the new size, causing exposure to the desktop in some cases, such as resizing host windows of virtual machines.
  * cs-screen-x11.c: GdkScreen width and height arrive already scaled for hidpi.
  * logind/consolekit: Refresh screen and monitor info when coming back from inactive (such as sleep.)
  * stage.py: Call gdk_flush to allow the server to catch up before getting updated screen/monitor infos.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 12 Oct 2017 12:32:35 +0100

cinnamon-screensaver (3.4.2) sonya; urgency=medium

  [ Michael Webster ]
  * add an issue template
  * CsScreen: Fix hotplug/screen change detection and response, other issues.
  * logindClient.py: Produce a more helpful message when logind is running, but we're unable to figure out a valid session id.
  * manager/stage: Allow a second activation trigger to override a previous.
  * manager.py: Force secondary activations to be immediate. (prevents flash)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Aug 2017 13:11:48 +0200
