## cinnamon-screensaver 3.6.1

=== debian/changelog ===
cinnamon-screensaver (3.6.1-2) unstable; urgency=medium

  * New revision
  * Drop dh-autoreconf (no longer needed with dh >= 10)
  * Drop dh's parallel arg (no longer needed with dh >= 10)
  * Drop soon to be deprecated dh_install's --list-missing option
  * Drop .docs file.
    The documentation is no longer being generated, and installdocs fails
    when it's not installing anything (this was be ignored in dh <= 10).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Mar 2018 16:31:26 +0200

cinnamon-screensaver (3.6.1-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.6.1).
  * Bump group breaks (3.6).
  * Bump cinnamon-desktop dependency for new WallClock api.

  [ Maximiliano Curia ]
  * Use the salsa canonical urls
  * Set new ml as Maintainer
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper build-dep and compat to 11.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Mar 2018 15:07:02 +0200
