=== debian/control ===
Source: cinnamon-screensaver
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: autoconf-archive,
               debhelper (>= 9),
               devscripts,
               dh-autoreconf,
               dh-python,
               dh-exec,
               librsvg2-bin,
               python-rsvg,
               libglib2.0-dev,
               libdbus-1-dev,
               libgtk-3-dev,
               libglib2.0-dev,
               libxext-dev,
               libgirepository1.0-dev,
               libpam0g-dev,
               gobject-introspection,
               intltool (>= 0.40.0),
               gnome-pkg-tools (>= 0.10)
Standards-Version: 3.9.6

Package: cinnamon-screensaver
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: cinnamon-desktop-data (>= 3.0.0),
         python3,
         python3-gi,
         python3-gi-cairo,
         python3-setproctitle,
         python3-xapp (>= 1.0.1),
         gir1.2-cinnamondesktop-3.0 (>= 3.5.0),
         gir1.2-gkbd-3.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-accountsservice-1.0,
         gir1.2-xapp-1.0,
         libcscreensaver0,
         iso-flag-png,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         cinnamon-screensaver-pam-helper
Recommends: libpam-gnome-keyring
Suggests: cinnamon-screensaver-x-plugin,
          cinnamon-screensaver-webkit-plugin
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.

Package: cinnamon-screensaver-pam-helper
Architecture: any
Description: PAM helper for cinnamon-screensaver

Package: cinnamon-screensaver-x-plugin
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: cinnamon-screensaver (>= 3.1.0),
         xscreensaver-data
Recommends: xscreensaver-data-extra,
            xscreensaver-gl,
            xscreensaver-gl-extra
Description: XScreensaver plugin for cinnamon-screensaver

Package: cinnamon-screensaver-webkit-plugin
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: cinnamon-screensaver (>= 3.1.0),
         gir1.2-webkit2-4.0
Description: Webkit plugin for cinnamon-screensaver

Package: libcscreensaver0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: library and introspection data used only by cinnamon-screensaver
 to work around currently un-introspectable functions in Gdk-3.0

Package: libcscreensaver-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcscreensaver0 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon Screensaver library - debug symbols
 This package contains the symbols files needed to debug the Cinnamon Screensaver library.
