## cinnamon-screensaver 3.8.2

=== debian/changelog ===
cinnamon-screensaver (3.8.2-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 16 Nov 2018 11:10:12 -0800

cinnamon-screensaver (3.8.2-1) unstable; urgency=medium

  * New upstream release (3.8.2).
  * Ignore not installed pyc files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 07 Aug 2018 14:51:36 +0200

cinnamon-screensaver (3.8.1-1) experimental; urgency=medium

  * New upstream release (3.8.1).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 May 2018 19:53:27 +0200

cinnamon-screensaver (3.8.0-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.8.0).
  * update debian/copyright
  * don't install generated /etc/pam.d/cinnamon-screensaver
  * libpam-gnome-keyring as recommends instead dep
  * debian/rules: add dh_missing --list-missing until will be default

  [ Maximiliano Curia ]
  * Bump Standards-Version to 4.1.4.
  * Enable hardening bindnow
  * Bump group breaks (3.8)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 14:30:11 +0200
