=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --with=python3,gir

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
	    --enable-locking \
	    --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/cinnamon-screensaver

# --list-missing will be default in compat 12
override_dh_missing:
	dh_missing --list-missing

override_dh_python3:
	dh_python3 usr/share/cinnamon-screensaver

override_dh_strip:
	dh_strip --no-automatic-dbgsym
