## cinnamon-screensaver 3.8.3+tara

=== debian/changelog ===
cinnamon-screensaver (3.8.3+tara) tara; urgency=medium

  [ Michael Webster ]
  * CsScreen/stage: Fix coverage changes when plugging in monitors that may affect scale factor.
  * power widget: Ensure widget state is correct when becoming Active, instead of only updating at the next power state change.
  * monitorView: don't use a transition for the view stack.
  * fader: Always run the callback, even if the fade is halted due to the widget not being mapped.
  * stage/screen: During any screen change, resize the stage backdrop immediately, to try to prevent incomplete coverage.

  [ Andrew Geng ]
  * Fall back to os.path.expanduser to find home dir. (#284)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Oct 2018 16:35:16 +0100

cinnamon-screensaver (3.8.2) tara; urgency=medium

  [ Michael Webster ]
  * cs-notification-watcher.c: accept int variants for the transient hint.
  * clock.py: Always initialize self.clock, whether the clock is to be shown or not ("show-clock" setting,) but guard against it not being an actual WallClock in set_message.
  * cs-screen-x11.c: gdk_flush before retrieving updated monitor and screen information.  This is done in stage.py when responding to our CsScreen's signals, but we should do it here before rebuilding the monitor info for sharing with the stage.
  * monitorView.py: Improve plugin behavior, logging, during screensaver activation/deactivation.
  * various: Add more and improve existing logging for debug mode, and implement and use a timer tracker for the deactivation idle callback.
  * debian/control: Remove python-rsvg from build deps (not available.)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 08 Jun 2018 11:37:49 +0100

cinnamon-screensaver (3.8.1) tara; urgency=medium

  [ Germán Franco ]
  * Remove border-image from the password entry (#277)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 06 May 2018 15:20:28 +0100

cinnamon-screensaver (3.8.0) tara; urgency=medium

  [ Michael Webster ]
  * stage.py: Disconnect from, and destroy the CsScreen last, when tearing down the stage.

  [ Clement Lefebvre ]
  * Add CI configuration
  * CI: Fix dependencies

  [ Michael Thies ]
  * keybindings: Allow suspend, hibernate and screen rotation from screensaver (#257)

  [ itzexor ]
  * libcscreensaver/service.py: fix xdg-screensaver suspend
  * doc: add back dbus interface documentation

  [ Michael Webster ]
  * dbus: Own other screensaver names to prevent them from being activated on demand during a cinnamon session.
  * nameBlocker.py: Watch for dbus activations and kill instead of simply blocking.  See inline notes for explanation related to xdg-screensaver.
  * xscreensavers: Add safechild wrapper (from blueberry) - provides better control over screensaver hack processes, to prevent their lingering after the screensaver or cinnamon-settings is done with them.
  * xscreensavers: Use python3 for safechild, attempt to kill the hack process when terminated.
  * service, manager: always complete the lock invocation, whether we succeed or not, and whether we were already active or not.
  * webkit script: Use correct path to user webkit screensavers.

  [ Fabio Fantoni ]
  * debian: wrap-and-sort -bst (#274)
  * debian: Call autogen.sh with dh_autoreconf
  * cleanup debian/rules from not needed gnome things
  * debian: add missed gir to libcscreensaver0
  * debian: right lib path from debian/rules without generate .install
  * debian: improve python3 support
  * Bump debhelper build-dep and compat to 10
  * .gitignore: debian/files instead all debian folder
  * improve debian/cinnamon-screensaver.install
  * add debian/not-installed
  * debian: remove old prerm
  * update debian/copyright
  * improve debian/control
  * move pamhelper to libexec
  * debian: remove cinnamon-screensaver-pam-helper, integrating in cinnamon-screensaver pkg
  * circleci: remove mint18 job
  * debian/control: add break/replace anyway to remove old cinnamon-screensaver-pam-helper

  [ Clement Lefebvre ]
  * Don't show switch-user when org.cinnamon.desktop.lockdown disable-user-switching is False

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Apr 2018 12:46:03 +0100

cinnamon-screensaver (3.6.1) sylvia; urgency=medium

  * Disable fade-in effects on idle

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Nov 2017 12:43:32 +0000
