## cinnamon-screensaver 4.0.3

=== debian/changelog ===
cinnamon-screensaver (4.0.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (4.0.{2,3})
    - drop dependencies on xscreensaver packages (Closes: #819763)

  [ Maximiliano Curia ]
  * Add a basic gbp.conf
  * Add a debian/salsa-ci.yml file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Aug 2019 12:04:50 -0300
