## cinnamon-screensaver 4.0.3+tessa

=== debian/changelog ===
cinnamon-screensaver (4.0.3+tessa) tessa; urgency=medium

  [ Michael Webster ]
  * all: Add low-resolution detection, adjust the clock and albumart widgets to be smaller in these cases.
  * audio panel: Don't show initially.
  * framedImage.py: Use surfaces for better hidpi display of album art.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 11:24:36 +0000

cinnamon-screensaver (4.0.2) tessa; urgency=medium

  [ Michael Webster ]
  * floating.py: Revert accidental change to widget positioning frequency.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Dec 2018 13:20:21 +0000

cinnamon-screensaver (4.0.1) tessa; urgency=medium

  [ Michael Webster ]
  * infoPanel.py: Don't attempt to access the power widget if we're disabled.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 12 Nov 2018 15:06:47 +0000

cinnamon-screensaver (4.0.0) tessa; urgency=medium

  [Michael Webster]
  * all: Remove xscreensaver and webkit support and plugins, simplify widget transitions.
  * info panel: Update the battery status when raising the lock screen.

  [schachmat] 
  * Silence lintian warning about missing man pages.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 03 Nov 2018 10:45:05 +0000

cinnamon-screensaver (3.8.3) tara; urgency=medium

  [ Michael Webster ]
  * CsScreen/stage: Fix coverage changes when plugging in monitors that may affect scale factor.
  * power widget: Ensure widget state is correct when becoming Active, instead of only updating at the next power state change.
  * monitorView: don't use a transition for the view stack.
  * fader: Always run the callback, even if the fade is halted due to the widget not being mapped.
  * stage/screen: During any screen change, resize the stage backdrop immediately, to try to prevent incomplete coverage.

  [ Andrew Geng ]
  * Fall back to os.path.expanduser to find home dir. (#284)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Oct 2018 16:35:16 +0100
